curl --request GET \
--url https://api.jup.ag/tokens/v2/verify/express/craft-txn \
--header 'x-api-key: <api-key>'{
"transaction": "<string>",
"requestId": "<string>",
"receiverAddress": "<string>",
"mint": "JUPyiwrYJFskUPiHa7hkeR8VUtAeFoSYbKedZNsDvCN",
"amount": "<string>",
"tokenDecimals": 123,
"feeLamports": 123,
"feeMint": "<string>",
"feeTokenDecimals": 123,
"feeAmount": 123,
"totalTime": 123,
"code": 123,
"gasless": true,
"tokenUsdRate": 123,
"feeUsdAmount": 123,
"expireAt": "<string>",
"error": "<string>"
}Craft Transaction
Craft an unsigned 1000 JUP payment transaction for express verification
curl --request GET \
--url https://api.jup.ag/tokens/v2/verify/express/craft-txn \
--header 'x-api-key: <api-key>'{
"transaction": "<string>",
"requestId": "<string>",
"receiverAddress": "<string>",
"mint": "JUPyiwrYJFskUPiHa7hkeR8VUtAeFoSYbKedZNsDvCN",
"amount": "<string>",
"tokenDecimals": 123,
"feeLamports": 123,
"feeMint": "<string>",
"feeTokenDecimals": 123,
"feeAmount": 123,
"totalTime": 123,
"code": 123,
"gasless": true,
"tokenUsdRate": 123,
"feeUsdAmount": 123,
"expireAt": "<string>",
"error": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
Solana wallet address that will sign and pay for the transaction
Response
Unsigned payment transaction
Base64-encoded unsigned transaction
Unique request ID. Pass this to the execute endpoint.
Wallet address receiving the JUP payment
Mint address of the payment token (JUP)
"JUPyiwrYJFskUPiHa7hkeR8VUtAeFoSYbKedZNsDvCN"
Payment amount in smallest unit (1000 JUP = 1000000000)
Decimals of the payment token
Transaction fee in lamports
Mint address of the fee token
Decimals of the fee token
Fee amount in smallest unit
Time taken to craft the transaction in milliseconds
Status code (0 for success)
Whether the transaction is gasless
USD rate of the payment token at time of crafting
Transaction fee in USD
Expiry timestamp for the crafted transaction
Error message if crafting failed
Was this page helpful?
